Page MenuHomePhabricator

Document wiki-replicas architecture for future automation
Open, NormalPublic

Description

We would like to implement automation (i.e. puppet) in the future for wiki-replicas, which is managed using several scripts and manual actions:

  • manual user grants
  • maintain-views
  • maintain-meta_p
  • wikireplica_dns

To better understand the project, we need to collect and document all the knowledge we have regarding wiki-replicas, how they are deployed, common problems (and how to solve them) and how they are effectively manager (including workflow). This includes searching for related task/bugs/issues related to maintain-views and friends.

We would like to improve the workflow shown in T173647.

Proposed destination wikitech pages:

Related docs:

Event Timeline

aborrero created this task.Nov 14 2017, 6:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2017, 6:48 PM

https://wikitech.wikimedia.org/wiki/Wiki_Replicas would be potentially pointed to from https://wikitech.wikimedia.org/wiki/Portal:Data_Services#Wiki_Replicas as user documentation. One of the issues we have had over time w/ wikitech is the intermingling of purely administrative (us) docs and end consumer docs. I would shy away from putting management of underlying features on that main page and put the admin/orchestration docs on a page under https://wikitech.wikimedia.org/wiki/Portal:Data_Services/Admin

aborrero updated the task description. (Show Details)Nov 15 2017, 1:00 PM
aborrero updated the task description. (Show Details)Nov 15 2017, 1:06 PM
aborrero added a comment.EditedNov 28 2017, 5:21 PM

Pending to meet with DBAs, for them to provide additional information and discuss improvements in our side.

Lately @Bstorm is working on this stuff. We could perhaps reassign the task to her :-P

Bstorm claimed this task.Aug 31 2018, 4:59 PM

It may be that this will be closed soon. The documentation we have is not bad, however, a bug in MariaDB prevents additional automation (and even easy use of the script for new wikis).

The bug in mariadb is fixed in a future version of mariadb we don't have. I'm going to shuffle this to the graveyard for now. Overall, there isn't much interest in additional automation, yet, because the manual checks are still considered essential for now.